type Fn = (...arg: any) => any;
/**
 * 任务管理器
 * 在类销毁的时候，要清除所有的异步定时器
 */
export declare class Timer {
    tasks: {
        requestAnimation: Set<number>;
        requestIdleCallback: Set<number>;
        timeout: Set<number>;
        interval: Set<number>;
    };
    requestAnimationFrame(fn: Fn): number;
    cancelAnimationFrame(timer: number): void;
    setTimeout(fn: Fn, wait: number): number;
    clearTimeout(timer: number): void;
    setInterval(fn: Fn, wait: number): number;
    clearInterval(timer: number): void;
    requestIdleCallback(callback: IdleRequestCallback, options?: IdleRequestOptions): number;
    cancelIdleCallback(timer: number): void;
    dispose(): void;
}
export {};
